Skip to main content
GET
/
api
/
v2
/
detailed_quote
Get Detailed Quote
curl --request GET \
  --url https://api.layerswap.io/api/v2/detailed_quote \
  --header 'X-LS-APIKEY: <api-key>'
import requests

url = "https://api.layerswap.io/api/v2/detailed_quote"

headers = {"X-LS-APIKEY": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-LS-APIKEY': '<api-key>'}};

fetch('https://api.layerswap.io/api/v2/detailed_quote', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "error": {
    "code": "<string>",
    "message": "<string>",
    "metadata": {}
  },
  "data": [
    {
      "avg_completion_milliseconds": 123,
      "min_amount": 123,
      "min_amount_in_usd": 123,
      "max_amount": 123,
      "max_amount_in_usd": 123,
      "fee_amount_for_min": 123,
      "fee_amount_for_max": 123,
      "total_percentage_fee": 123,
      "total_fixed_fee_in_usd": 123,
      "total_fixed_fee_in_source": 123,
      "path": [
        {
          "id": 123,
          "service_fee_in_source": 123,
          "service_fee_in_usd": 123,
          "service_fee_percentage": 123,
          "expense_in_source": 123,
          "expense_fee_in_usd": 123,
          "expense_fee_percentage": 123,
          "fee_in_source": 123,
          "fee_in_usd": 123,
          "avg_completion_milliseconds": 123,
          "provider_name": "<string>",
          "order": 123
        }
      ]
    }
  ]
}

Authorizations

X-LS-APIKEY
string
header
required

Headers

X-LS-APIKEY
string
default:NDBxG+aon6WlbgIA2LfwmcbLU52qUL9qTnztTuTRPNSohf/VnxXpRaJlA5uLSQVqP8YGIiy/0mz+mMeZhLY4/Q

Query Parameters

source_network
string
required
source_token
string
required
destination_network
string
required
destination_token
string
required
use_deposit_address
boolean
refuel
boolean
source_address
string
slippage
string

Response

200 - application/json

Success

error
object
data
object[] | null